org.richfaces.component

## Class AbstractAjaxStatus

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractAjaxStatus

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    UIStatus

      public abstract class AbstractAjaxStatus
      extends javax.faces.component.UIComponentBase

  The <a4j:status> component displays the status of current Ajax requests. The status can be either in progress, complete, or an error is shown after a failed request.

  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAjaxStatus()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getErrorStyle()` The css style attribute for the error text
    `abstract String` | `getErrorStyleClass()` The css class attribute used to style the error text
    `abstract String` | `getErrorText()` The text shown when an error has occurred
    `abstract String` | `getName()` The name of the status component
    `abstract String` | `getOnerror()` The client-side script method to be called when the request results in an error
    `abstract String` | `getOnstart()` The client-side script method to be called when the request starts
    `abstract String` | `getOnstop()` The client-side script method to be called when the request stops
    `abstract String` | `getOnsuccess()` The client-side script method to be called when the request completes successfully
    `abstract String` | `getStartStyle()` The css style attribute for the start text
    `abstract String` | `getStartStyleClass()` The css class attribute used to style the start text
    `abstract String` | `getStartText()` The text shown after the request has been started and is currently in progress
    `abstract String` | `getStopStyle()` The css style attribute for the stop text
    `abstract String` | `getStopStyleClass()` The css class attribute used to style the stop text
    `abstract String` | `getStopText()` The text shown once the request is complete

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractAjaxStatus

          public AbstractAjaxStatus()

  - ### Method Detail

    - #### getOnstart

          public abstract String getOnstart()

      The client-side script method to be called when the request starts

    - #### getOnstop

          public abstract String getOnstop()

      The client-side script method to be called when the request stops

    - #### getOnerror

          public abstract String getOnerror()

      The client-side script method to be called when the request results in an error

    - #### getOnsuccess

          public abstract String getOnsuccess()

      The client-side script method to be called when the request completes successfully

    - #### getName

          public abstract String getName()

      The name of the status component

    - #### getStartText

          public abstract String getStartText()

      The text shown after the request has been started and is currently in progress

    - #### getStopText

          public abstract String getStopText()

      The text shown once the request is complete

    - #### getErrorText

          public abstract String getErrorText()

      The text shown when an error has occurred

    - #### getStartStyle

          public abstract String getStartStyle()

      The css style attribute for the start text

    - #### getStopStyle

          public abstract String getStopStyle()

      The css style attribute for the stop text

    - #### getErrorStyle

          public abstract String getErrorStyle()

      The css style attribute for the error text

    - #### getStartStyleClass

          public abstract String getStartStyleClass()

      The css class attribute used to style the start text

    - #### getStopStyleClass

          public abstract String getStopStyleClass()

      The css class attribute used to style the stop text

    - #### getErrorStyleClass

          public abstract String getErrorStyleClass()

      The css class attribute used to style the error text

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.